Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Plugin Development Environment (PDE) » Installing an existing plug-in(How to do it?)
Installing an existing plug-in [message #696025] Wed, 13 July 2011 05:50 Go to next message
MarcoGT  is currently offline MarcoGT Friend
Messages: 77
Registered: May 2011
Member
Hi,

I am working on extending the default Eclipse XML Editor adding some features to org.eclipse.wst.xml.ui plug-in.

When I run it from Eclipse using "Run as Eclipse Application" it works fine and I have all features I have implemented.

So I tried to install it putting the exported JAR file in the "dropins" folder.

Plug-in name is: org.eclipse.wst.xml.ui_v2.0.0XYZ where XYZ is the plug-in qualifier; the default plug-in name is org.eclipse.wst.xml.ui_v1.2.2ABC.

I read that if Eclipse finds two plug-ins having the same name it should load the newer one but in my case it always loads the default one...why?

Thanks
Marco
Re: Installing an existing plug-in [message #696496 is a reply to message #696025] Thu, 14 July 2011 06:09 Go to previous message
MarcoGT  is currently offline MarcoGT Friend
Messages: 77
Registered: May 2011
Member
Solved editing a configuration file inside configuration folder.

Thanks
Marco
Previous Topic:export plug-in as folder structure
Next Topic:NoClassDefFoundError during export
Goto Forum:
  


Current Time: Sat Dec 20 17:58:50 GMT 2014

Powered by FUDForum. Page generated in 0.01573 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software